org.eclipse.eef

## Interface EEFDynamicMappingFor

All Superinterfaces:
  EEFControlDescription, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFDynamicMappingForImpl

    public interface EEFDynamicMappingFor
    extends EEFControlDescription

A representation of the model object 'EEF Dynamic Mapping For'.

The following features are supported:

- `Iterator`
- `Iterable Expression`
- `Ifs`

See Also:
  `EefPackage.getEEFDynamicMappingFor()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<EEFDynamicMappingIf>` `getIfs()` Returns the value of the 'Ifs' containment reference list.
`java.lang.String` `getIterableExpression()` Returns the value of the 'Iterable Expression' attribute.
`java.lang.String` `getIterator()` Returns the value of the 'Iterator' attribute.
`void` `setIterableExpression(java.lang.String value)` Sets the value of the '`Iterable Expression`' attribute.
`void` `setIterator(java.lang.String value)` Sets the value of the '`Iterator`' attribute.

### Methods inherited from interface org.eclipse.eef.EEFControlDescription

`getIdentifier, setIdentifier`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getIterator

    java.lang.String getIterator()

Returns the value of the 'Iterator' attribute. The name of the variable which contain the current value of the iteration.

Returns:
  the value of the 'Iterator' attribute.
See Also:
  `setIterator(String)`, `EefPackage.getEEFDynamicMappingFor_Iterator()`

#### setIterator

    void setIterator(java.lang.String value)

Sets the value of the '`Iterator`' attribute.

Parameters:
  `value` - the new value of the 'Iterator' attribute.
See Also:
  `getIterator()`

#### getIterableExpression

    java.lang.String getIterableExpression()

Returns the value of the 'Iterable Expression' attribute. Used to compute the mappings to create by iterating on the result of this expression.

Returns:
  the value of the 'Iterable Expression' attribute.
See Also:
  `setIterableExpression(String)`, `EefPackage.getEEFDynamicMappingFor_IterableExpression()`

#### setIterableExpression

    void setIterableExpression(java.lang.String value)

Sets the value of the '`Iterable Expression`' attribute.

Parameters:
  `value` - the new value of the 'Iterable Expression' attribute.
See Also:
  `getIterableExpression()`

#### getIfs

    org.eclipse.emf.common.util.EList<EEFDynamicMappingIf> getIfs()

Returns the value of the 'Ifs' containment reference list. The list contents are of type `EEFDynamicMappingIf`. Used to determine which widget to create.

Returns:
  the value of the 'Ifs' containment reference list.
See Also:
  `EefPackage.getEEFDynamicMappingFor_Ifs()`